<?xml version="1.0" encoding="UTF-8"?>
<openerp>
	<data>
		<record id="data_pegawai_tree_view" model="ir.ui.view">
			<field name="name">partner.employee.tree</field>
			<field name="model">res.partner</field>
			<field eval="1" name="priority"/>
			
			<field name="arch" type="xml">
				<tree string="Data Pegawai" colors="red:status_data_atasan_pegawai=='False';">
					<field string="NIP" name="nip"/>					
					<field string="Nama" name="name" invisible="True"/>
					<field string="Nama" name="fullname" />
					<field string="BALAI" name="company_id"/>
					<field name="department_id"   />
					<field name="job_type"   />
					<field name="eselon_id"  />
					<field name="golongan_id"   />
					<field name="job_id"   />
					<field name="user_id_atasan" invisible="True" />
					<field name="user_id_banding"  invisible="True" />
					<field name="status_data_atasan_pegawai" invisible="True" />
				</tree>
			</field>
		</record>
		
		<record id="data_pegawai_form_view" model="ir.ui.view">
			<field name="name">partner.employee.form</field>
			<field name="model">res.partner</field>
			<field eval="0" name="priority" />
			<field name="arch" type="xml">
				<form string="Data Pegawai" version="7.0">
					<header>
						<span name="for_inherit_header_object"></span>
					</header>
					<sheet>
						<field name="image" widget='image' class="oe_left oe_avatar" options='{"preview_image": "image_medium", "size": [90, 90]}'/>
						<div class="oe_title">
							
							<label for="name" class="oe_edit_only" />
						    <h1>
									<field name="name" default_focus="1" placeholder="Nama" />
							</h1>
						    
							<label for="nip" class="oe_edit_only"/>
						    <h2>
								<field name="nip" placeholder="NIP" attrs="{'required': [('employee','=',True)]}" />
							</h2>
						    <label for="company_id" class="oe_edit_only" string="BALAI"/>
						    <h3>
								<field name="company_id"  attrs="{'required': [('employee','=',True)]}"  domain="[('user_id_bkd','!=',None)]"  options="{'no_create': True,'no_open': True}"  />
						    </h3>
						</div>
						<group>
							<group>
									<field name="biro_id" invisible="True" options="{'no_create': True,'no_open': True}" />
									<field name="department_id" options="{'no_create': True,'no_open': True}"   />
									<field name="job_type"   />
									<field name="eselon_id"  widget="selection"  />
									<field name="golongan_id"   widget="selection"  />
									<field name="job_id"  options="{'no_create': True,'no_open': True}" />
									<field name="masa_kerja"  invisible="True"/>
									<field name="tmt_cpns" invisible="True" />
									<field name="tmt_pns"  invisible="True"/>
									<field name="tmt_golongan_akhir"  invisible="True" />
										
									
							</group>
							<group>
								<field name="user_id_atasan"  attrs="{'required': [('employee','=',True),('is_head_of_all','=',False),('data_preparation','=',False)]}" on_change="onchange_atasan(user_id_atasan)" options="{'no_create': True,'no_open': True}"  />
								<field name="user_id_atasan_nip"   />
								<field name="user_id_banding"  attrs="{'required': [('employee','=',True),('is_head_of_all','=',False),('data_preparation','=',False)]}" on_change="onchange_atasan_banding_nip(user_id_banding)"  options="{'no_create': True,'no_open': True}"  />
								<field name="user_id_banding_nip"   />
							
							</group>
						</group>	
						
						<notebook colspan="4">
							
						<page string="Riwayat Kepangkatan Dan Jabatan" name="riwayat_kepangkatan">
								<group >
									<field name="job_id_history" string="Riwayat Jabatan"  context="{'default_partner_id': active_id,}">
										<tree string="Riwayat Jabatan"  >
											<field name="partner_id" invisible="True" />
											<field name="job_type"  />
			                                <field name="eselon_id" attrs="{'required': [('job_type','=','struktural')]}" widget="selection"  />
			                                <field name="job_id_history" options="{'no_create': True,'no_open': True}" />
			                                <field name="department_id"  options="{'no_create': True,'no_open': True}" />
			                                <field name="name" />
			                                <field name="company_name"  placeholder="Biro Organisasi Dan Kepegawaian...."  />
			                                <field name="instansi_name" placeholder="Balai Embrio Ternak Cipelang..."  />
			                                <field name="date" style="width: 60px !important;" />
			                                <field name="attachment_file"  string="Lampiran SK" invisible="True"/>
			                            </tree>
			                            <form>
			                            	<group>
			                            		<field name="partner_id" invisible="True" />
												<field name="job_type"  />
				                                <field name="eselon_id" attrs="{'required': [('job_type','=','struktural')]}" widget="selection"  />
				                                <field name="job_id_history" options="{'no_create': True,'no_open': True}" />
				                                <field name="department_id"  options="{'no_create': True,'no_open': True}" />
				                                <field name="name" />
				                                <field name="attachment_file"  string="Lampiran SK" invisible="True"/>	
				                                <field name="company_name"  placeholder="Biro Organisasi Dan Kepegawaian...."  />
				                                <field name="instansi_name" placeholder="Balai Embrio Ternak Cipelang..."  />
				                                <field name="date" style="width: 60px !important;" />            
													    	
			                            	</group>		                            
			                            </form>
			                        </field>	
									<field name="golongan_id_history" string="Riwayat Kepangkatan"  context="{'default_partner_id': active_id,}">
										<tree string="Riwayat Kepangkatan" >
											<field name="partner_id" invisible="True" />
											<field name="golongan_id_history"  />
			                                <field name="name" />
			                                <field name="date" style="width: 80px !important;"/>
			                                <field name="jenis"  />
			                                <field name="attachment_file" string="Lampiran SK"  invisible="True" />	
			                            </tree>
			                            <form>
			                            	<group>
			                            		<field name="partner_id" invisible="True" />
												<field name="golongan_id_history"   widget="selection"  />
			                                	<field name="name" />
			                                	<field name="date" style="width: 80px !important;"/>
			                                	<field name="attachment_file"  string="Lampiran SK" invisible="True" />	
			                                	<field name="jenis"  />		                        
			                            	</group>		                            
			                            </form>
			                        </field>	
									
								</group>
						</page>
						
						<page string="Riwayat Pendidikan Dan Diklat" name="riwayat_pendidikan">
								<group>
									<field name="jenjang_pendidikan_id_history"   context="{'default_partner_id': active_id,}">
										<tree string="Riwayat Pendidikan"  >
											<field name="partner_id" invisible="True" />
											<field name="jenjang_pendidikan_id_history"  options="{'no_create': True,'no_open': True}" />
											<field name="nama_sekolah_id_history"  />
			                                <field name="jurusan_id_history" />
			                                <field name="name" />
			                                <field name="ipk" />
			                                <field name="tahun_lulus"  />
			                                <field name="attachment_file"  invisible="True"/>
			                            </tree>
			                            <form string="Riwayat Pendidikan" editable="bottom" >
			                           		<group>
												<field name="partner_id" invisible="True" />
												<field name="jenjang_pendidikan_id_history"  options="{'no_create': True,'no_open': True}" />
												<field name="nama_sekolah_id_history"  />
				                                <field name="jurusan_id_history" />
				                                <field name="name" />
				                                <field name="ipk" />
				                                <field name="tahun_lulus"  />
				                                <field name="attachment_file"  invisible="True"/>
			                                </group>
			                            </form>
			                        </field>	
								
								
								<field name="bidang_kompetensi_id_history" string="Riwayat Bidang Kompetensi"  context="{'default_partner_id': active_id,}">
										<tree string="Riwayat Bidang Kompetensi" editable="bottom" >
											<field name="partner_id" invisible="True" />
											<field name="bidang_kompetensi_type_id"  />
											<field name="name"  />
											<field name="type_id" />
			                                <field name="date" style="width: 80px !important;" />
			                                
			                            </tree>
			                    </field>
			                    
									<field name="diklat_kepemimpinan_id_history" string="Riwayat Diklat Kepemimpinan"  context="{'default_partner_id': active_id,}">
										<tree string="Riwayat Diklat Kepemimpinan" editable="bottom" >
											<field name="partner_id" invisible="True" />
											<field name="type_id" />
											<field name="name"  />
			                                <field name="tahun" />
			                                <field name="tempat" />
			                                <field name="penyelenggara"  />
			                            </tree>
			                        </field>	
								
									<field name="diklat_fungsional_id_history" string="Riwayat Diklat Fungsional"  context="{'default_partner_id': active_id,}">
										<tree string="Riwayat Diklat Fungsional" editable="bottom" >
											<field name="partner_id" invisible="True" />
											<field name="type_id"  />
											<field name="name"  />
			                                <field name="tahun" />
			                                <field name="tempat" />
			                                <field name="penyelenggara"  />
			                            </tree>
			                        </field>	
								
									<field name="diklat_teknik_id_history" string="Riwayat Diklat Teknik"  context="{'default_partner_id': active_id,}">
										<tree string="Riwayat Diklat Teknik" editable="bottom" >
											<field name="partner_id" invisible="True" />
											<field name="type_id" />
											<field name="name"  />
			                                <field name="tahun" />
			                                <field name="tempat" />
			                                <field name="penyelenggara"  />
			                            </tree>
			                        </field>	
							</group>
						</page>
						
						<page string="Riwayat Lain" name="riwayat_lain">
								<group >
									<field name="penataran_id_history" string="Riwayat Penataran"  context="{'default_partner_id': active_id,'default_type': 'penataran',}" >
										<tree string="Riwayat Penataran" editable="bottom" >
											<field name="partner_id" invisible="True" />
											<field name="name"  />
			                                <field name="tahun" />
			                                <field name="tempat" />
			                                <field name="penyelenggara"  />
			                            </tree>
			                        </field>
			                        					
									<field name="hukuman_disiplin_id_history" string="Riwayat Hukuman Disiplin"  context="{'default_partner_id': active_id,}">
										<tree string="Riwayat Hukuman Disiplin" editable="bottom" >
											<field name="partner_id" invisible="True" />
											<field name="date" style="width: 80px !important;"/>
											<field name="name"  />
											<field name="date_end" style="width: 80px !important;"/>
			                                <field name="notes"  />
			                                
			                             	
			                            </tree>
			                        </field>	
								</group>
						</page>
						<page string="Informasi Umum">
								<group>
									<group>
										<field name="jenis_kelamin"  />
										<field name="tempat_lahir"  />
										<field name="tanggal_lahir"  />
										<field name="usia"  />			
										<field name="agama"  />
										<field name="nama_sekolah"  />
										<field name="tingkat_pendidikan"  />				
										<field name="jurusan"  />		
										<field name="tahun_lulus"  />
										<label for="street" string="Alamat"/>
										<div>
											<field name="street" placeholder="Alamat"/>
											<div class="address_format">
												<field name="city" placeholder="Kota" style="width: 40%%"/>
												<field name="state_id" class="oe_no_button" placeholder="State" style="width: 37%%" options='{"no_open": True}' on_change="onchange_state(state_id)"/>
												<field name="zip" placeholder="Kode Pos" style="width: 20%%"/>
											</div>
											<field name="country_id" placeholder="Country" class="oe_no_button" options='{"no_open": True}' invisible="True"/>
										</div>
												
									</group>
									<group>
										<field string="Telefon" name="phone"/>
										<field string="HP" name="mobile"/>
										<field string="Email" name="email"/>
										<field name="gelar_depan"  />
										<field name="gelar_blk"  />
										<field name="comment" placeholder="Tambahakan Keterangan Tambahan..."/>
										<field name="employee" invisible="False"  groups="base.group_no_one" />
										<field name="is_head_of_all" groups="base.group_no_one"  string="Kepala Daerah"/>
										<field name="is_kepala_opd" groups="base.group_no_one"  string="Kepala BALAI"/>
										<field name="supplier" invisible="True"/>
										<field name="customer" invisible="True"/>
									    <field name="is_company" invisible="True"/>
										<field name="data_preparation" groups="base.group_no_one"/>
										<field name="is_share_users" groups="base.group_no_one"/>
									</group>
								</group>	
							</page>
											
						</notebook>
					</sheet>
					
				</form>
			</field>
		</record>
		
		<record model="ir.ui.view" id="data_pegawai_kanban_view">
            <field name="name">partner.employee.kanban</field>
            <field name="model">res.partner</field>
            <field name="arch" type="xml">
                <kanban>
                    <field name="name"/>
                    <field name="fullname"/>
                    <field name="nip"/>
                    <field name="company_id"/>
                    <field name="department_id"/>
                    <field name="has_image"/>
                    <templates>
                        <t t-name="kanban-box">
                            <div class="oe_kanban_vignette oe_semantic_html_override">
                                <a type="open">
                                    
                                    <t t-if="record.has_image.raw_value === true">
                                        <img t-att-src="kanban_image('res.partner', 'image_small', record.id.value)" class="oe_kanban_image"/>
                                    </t>
                                    
                                    <t t-if="record.has_image.raw_value === false">
                                      	<img t-att-src='_s + "/base/static/src/img/avatar.png"' class="oe_kanban_image"/>
                                    </t>
                                </a>
                                <div class="oe_kanban_details">
                                    <h4 class="oe_partner_heading">
                                       <a type="open"><field name="fullname"/></a>
                                    </h4>
	                                  
                                    <ul>
                                        <li t-if="record.nip.raw_value">NIP: <field name="nip"/></li>
                                        <li t-if="record.company_id.raw_value"> <field name="company_id"/></li>
                                        <li t-if="record.department_id.raw_value"> <field name="department_id"/></li>
                                        
                                    </ul>
                                </div>
                            </div>

                        </t>
                    </templates>
                </kanban>
            </field>
        </record>
        

            
		
		<record model="ir.ui.view" id="view_data_pegawai_filter_custom">
			<field name="name">custom.data.pegawai.search</field>
			<field name="model">res.partner</field>
			<field name="type">search</field>
			<field name="arch" type="xml">
				<search string="Pencarian...">
					<field name="name" string="Nama Pegawai"/>
                    <field name="nip" string="NIP"/>
                    <field name="company_id" string="BALAI"/>
                    <field name="department_id"   />
					<field name="job_type"   />
				    <field name="eselon_id"  />
					<field name="golongan_id"   />
					<field name="job_id"   />
					<field name="user_id_atasan" />
					<field name="user_id_banding" />
                    <group expand="0" string="Group By...">
                        <filter string="Bidang" icon="terp-personal+" domain="[]" context="{'group_by':'department_id'}"/>
                        <filter string="Eselon" icon="terp-personal+" domain="[]" context="{'group_by':'eselon_id'}"/>
						<filter string="Tipe Jabatan" icon="terp-personal+" domain="[]" context="{'group_by':'job_type'}"/>
						<filter string="Atasan Langsung" icon="terp-personal+" domain="[]" context="{'group_by':'user_id_atasan'}"/>
<!--						<filter string="Atasan Banding" icon="terp-personal+" domain="[]" context="{'group_by':'user_id_banding	'}"/> -->
                        <filter string="BALAI" icon="terp-go-home" domain="[]" context="{'group_by':'company_id'}" />
                    </group>
				</search>
			</field>
		</record>
		
		<record id="action_data_pegawai" model="ir.actions.act_window">
			<field name="name">Pegawai</field>
			<field name="type">ir.actions.act_window</field>
			<field name="res_model">res.partner</field>
			<field name="view_type">form</field>
			<field name="view_mode">kanban,tree,form</field>
			<field name="domain">[('employee','=',True)]</field>
			<field name="search_view_id" ref="view_data_pegawai_filter_custom"/>
			<field name="help" type="html">
			<p >
			  Tekan untuk menambahkan data pegawai
			</p>
			</field>
		</record>
		<record model="ir.actions.act_window.view" id="action_data_pegawai_kanban_view">
			<field eval="3" name="sequence"/>
			<field name="view_mode">kanban</field>
			<field name="view_id" ref="data_pegawai_kanban_view"/>
			<field name="act_window_id" ref="action_data_pegawai"/>
		</record>
		
		<record model="ir.actions.act_window.view" id="action_data_pegawai_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="data_pegawai_tree_view"/>
			
			<field name="act_window_id" ref="action_data_pegawai"/>
		</record>
		
		<record model="ir.actions.act_window.view" id="action_data_pegawai_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="data_pegawai_form_view"/>
			<field name="act_window_id" ref="action_data_pegawai"/>
		</record>
		
		
		<menuitem id="menu_data_kepegawaian"  name="Data Kepegawaian" sequence="1"/> 
		<menuitem id="menu_sub_data_kepegawaian"  name="Kepegawaian" parent="menu_data_kepegawaian" sequence="1"/> 
		<menuitem id="menu_pegawai"  name="Pegawai" parent="menu_sub_data_kepegawaian" sequence="1" action="action_data_pegawai"  groups="group_partner_employee_admin"/> 
	</data>
</openerp>